/*
 * Class ARRAY [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1859 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1859 [] = {0xFF01,1551,1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1859 [] = {0xFF01,1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1859 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1859 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1859 [] = {0xFF01,1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1859 [] = {0xFF01,1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1859 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1859 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1859 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1859 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1859 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1859 [] = {1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1859 [] = {0xFF01,1858,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1859 [] = {0xFF01,1859,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1859 [] = {0xFF01,1854,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1859 [] = {0xFF01,1852,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1859 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1859 [] = {0xFF01,1881,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1859 [] = {0xFF01,1852,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1859 [] = {0xFF01,1858,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1859 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1859 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_1859[] = {
	{EIF_GENERIC(NULL), 11612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1859), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1859), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1859), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11607, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1859), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1859), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1859), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1859), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1859), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1859), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1859), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1859), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1859), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1859), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1859), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9217, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8639, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8642, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1859), 11606, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1859), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9436, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9432, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9434, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11575, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11609, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11590, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1859), 11017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1859), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1859), 10479, 0},
	{EIF_GENERIC(NULL), 10472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10473, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1859), 11559, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1859), 11560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10478, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1859), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11554, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11556, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11557, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11558, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1859), 11561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11563, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11564, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11570, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11571, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11583, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11584, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11587, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11589, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11591, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11592, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1859), 11603, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1859), 11604, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1859), 11605, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1859), 11608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11611, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1859), 11559, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1859), 11560, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11579, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1859), 11559, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1859), 11568, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11574, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11566, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11567, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1859(void)
{
	IDSC(desc_1859, 0, 1858);
	IDSC(desc_1859 + 1, 1, 1858);
	IDSC(desc_1859 + 32, 1134, 1858);
	IDSC(desc_1859 + 41, 586, 1858);
	IDSC(desc_1859 + 47, 1135, 1858);
	IDSC(desc_1859 + 56, 1088, 1858);
	IDSC(desc_1859 + 58, 1422, 1858);
	IDSC(desc_1859 + 67, 4, 1858);
	IDSC(desc_1859 + 105, 916, 1858);
	IDSC(desc_1859 + 111, 1570, 1858);
	IDSC(desc_1859 + 114, 554, 1858);
	IDSC(desc_1859 + 115, 1395, 1858);
	IDSC(desc_1859 + 117, 778, 1858);
	IDSC(desc_1859 + 118, 878, 1858);
	IDSC(desc_1859 + 119, 794, 1858);
}


#ifdef __cplusplus
}
#endif
